{
  pkgs,
  lib,
  config,
  ...
}:
let
  cfg = config.my.satty;
in
{
  options.my.satty.enable = lib.mkEnableOption { };

  config = lib.mkIf cfg.enable {
    xdg.configFile."satty/config.toml" = {
      source = ./config.toml;
    };

    home.packages = with pkgs; [
      satty
    ];
  };
}
